
SET ServerOutput ON 

DECLARE
dbversion_neu NUMBER(5) := 2059;
dbversion_alt NUMBER(5);


BEGIN

Select MAX(dbversion) INTO dbversion_alt FROM WgVers;
IF dbversion_neu -1 <> dbversion_alt THEN
   dbms_output.put_line('Fr diese Datenbankversion ' || dbversion_alt || ' ist das Skript nicht zulssig!');
ELSE
   dbms_output.put_line('Das Datenbankupdate fr die Version ' || dbversion_neu || ' wird ausgefhrt!');
  	

-- Anfang SQL-Skript



execute immediate 'CREATE TABLE FORDERUNGEN
(
	LFD_FORDERUNG		NUMBER(11) NOT NULL,
	VORGANGSNR		NUMBER(11) NOT NULL,
	STELLE			NUMBER(5) NOT NULL,
	RF_LFD			NUMBER(11) NULL,
	FORD_BEZ		varchar2(250) NULL,
	KZ8XX01			varchar2(8) NULL,
	KZ8XX02			NUMBER(11) NULL,
	KZ8XX15			NUMBER(5) NULL,
	KZ8XX16			NUMBER(5) NULL,
	KZ8XX03			NUMBER(11) NULL,
	KZ8XX04			NUMBER(11) NULL,
	KZ8XX05			NUMBER(11) NULL,
	KZ8XX06			NUMBER(11) NULL,
	KZ8XX07			NUMBER(11) NULL,
	KZ8XX08			NUMBER(11) NULL,
	KZ8XX09			NUMBER(11) NULL,
	KZ8XX10			NUMBER(11) NULL,
	KZ8XX21			NUMBER(5) NULL,
	KZ8XX22			NUMBER(5) NULL,
	KZ8XX23			NUMBER(5) NULL,
	KZ8XX24			NUMBER(5) NULL,
	KZ8XX25			NUMBER(5) NULL,
	KZ8XX26			NUMBER(5) NULL,
	KZ8XX40			NUMBER(5) NULL,
	KZ8XX50			NUMBER(5) NULL,
	KZ8XX60			NUMBER(5) NULL,
	FORD_MEMO		varchar2(4000),
	FORDERUNG_RESTBETRAG	NUMBER(11) NULL,
	FORDERUNG_SONSTIGES	NUMBER(11) NULL,
	FORDERUNG_ENDE		NUMBER(5) NULL,
 	PRIMARY KEY (LFD_FORDERUNG)
)';


execute immediate 'CREATE SEQUENCE FORDERUNGEN_SEQ
  START WITH 1
  NOMAXVALUE';

execute immediate 'CREATE TRIGGER FORDERUNGEN_TRG BEFORE INSERT ON FORDERUNGEN 
  FOR EACH ROW
  BEGIN
    SELECT FORDERUNGEN_SEQ.NEXTVAL INTO :NEW.LFD_FORDERUNG FROM DUAL;
  END;';


execute immediate 'Alter TABLE RUECKFORDERUNGEN_ZAHLUNGEN
ADD
(
	VORGANGSNR		NUMBER(11) NULL		
)';


execute immediate 'UPDATE SYSTEM_EMAIL_EREIGNISSE SET EMAIL_TEXT=NULL';

execute immediate 'Alter Table SYSTEM_EMAIL_EREIGNISSE Modify EMAIL_TEXT varchar2(4000)';


execute immediate 'Alter TABLE RUECKFORDERUNGEN
ADD
(
	STELLE			NUMBER(5) NULL
)';

execute immediate 'ALTER TABLE EINKNRW
ADD
(
	KZX80			NUMBER(5) NULL
)';

execute immediate 'ALTER TABLE SYSINFO
ADD
(
	MAIL			varchar2(250) NULL
)';

execute immediate 'UPDATE SYSINFO SET MAIL=''egov.support@aucoteam.de''';


execute immediate 'DROP VIEW PSUCHE';

execute immediate 'CREATE VIEW PSUCHE (VORGANGSNR, WGSTNR, WOHNGELDNR, VERGLEICH, VGNR, KZ001, KZ700, BSTAND, NNAME, VNAME, HAUSNR, ORTNAME, PLZAHL, STRNAME) AS
	SELECT VORGANG.VORGANGSNR, VORGANG.WGSTNR, VORGANG.WOHNGELDNR, VORGANG.VERGLEICH, VORGANG.VGNR, VORGANG.KZ001, VORGANG.KZ700, VORGANG.BSTAND,
	PERSON.NNAME, PERSON.VNAME, ADRESSE.HAUSNR, ADRESSE.ORTNAME, ADRESSE.PLZAHL, ADRESSE.STRNAME
	FROM VORGANG, PERSON, ADRESSE 
       	WHERE Vorgang.PNRAS = PERSON.PNR
       	AND Vorgang.ADRAS = ADRESSE.ADRESSNR';


DELETE FROM WGVERS;
INSERT INTO WGVERS (WGVERSNR, dbversion) VALUES(1, dbversion_neu);
COMMIT;
-- Ende SQL-Skript

END IF; 
END;

