SET NOEXEC OFF
GO

Declare @dbVersion_neu Int
Set @dbVersion_neu = 2059

DECLARE @dbUpdate bit

Declare @dbOwner Varchar(20)
Declare @user Varchar(20)
-- Select  @dbOwner = convert(sysname,schema_name(o.schema_id)) From  sys.all_objects o WHERE Name = 'VORGANG'

Select @dbOwner = (Select TABLE_SCHEMA From information_schema.tables Where Table_name ='Vorgang')
Select @user = USER

Declare @dbVersion_alt Int
Select  @dbVersion_alt = Max(dbversion) From WgVers

Declare @dbServer Varchar(100)
Select  @dbServer = Left(CAST(@@Version AS Varchar(100)),55)

Declare @HK as varchar(1)
Set @HK=CHAR(39)

Declare @dbSQL nVarchar(200)
Set @dbSQL='INSERT INTO WgVers (WGVERSNR, DBVERSION, DB_SERVER, DB_OWNER) VALUES(1, ' +CAST( @dbVersion_neu as varchar(5)) + ', ' + @HK + cast(@dbServer as varchar(159)) + @HK +', ' + @HK + CAST(@dbOwner as varchar(50)) + @HK + ')'


Set @dbUpdate = 1
      
IF @dbOwner <> @user
	Begin
		Print 'Der User ' + @dbOwner  + ' ist nicht Eigentmer ' + @user + ' der Datenbank, Script wird abgebrochen!'
		Set @dbUpdate = 0
	End
	
IF (@dbVersion_neu -1) <> @dbVersion_alt
	Begin
		Print 'Skript fr dbVersion ' + Cast(@dbVersion_alt As Varchar(10)) + ' ist nicht fortlaufend, Skript wird abgebrochen!'
		Set @dbUpdate = 0
	End

IF @dbUpdate = 1
	Begin
		Delete From WGVERS
		EXEC sp_executesql @dbSQL 
		Print 'Skript fr dbVersion ' + Cast(@dbVersion_neu As Varchar(10))  + ' wird ausgefhrt!'  
 	End   	
	
IF @dbUpdate = 0
   SET NOEXEC ON -- Stopt Batch-Ausfhrung
GO


CREATE TABLE FORDERUNGEN
(
	LFD_FORDERUNG		int IDENTITY(1,1) NOT NULL,
	VORGANGSNR		int NOT NULL,
	STELLE			smallint NOT NULL,
	RF_LFD			int NULL,
	FORD_BEZ		varchar(250) NULL,
	KZ8XX01			varchar(8) NULL,
	KZ8XX02			int NULL,
	KZ8XX15			smallint NULL,
	KZ8XX16			smallint NULL,
	KZ8XX03			int NULL,
	KZ8XX04			int NULL,
	KZ8XX05			int NULL,
	KZ8XX06			int NULL,
	KZ8XX07			int NULL,
	KZ8XX08			int NULL,
	KZ8XX09			int NULL,
	KZ8XX10			int NULL,
	KZ8XX21			smallint NULL,
	KZ8XX22			smallint NULL,
	KZ8XX23			smallint NULL,
	KZ8XX24			smallint NULL,
	KZ8XX25			smallint NULL,
	KZ8XX26			smallint NULL,
	KZ8XX40			smallint NULL,
	KZ8XX50			smallint NULL,
	KZ8XX60			smallint NULL,
	FORD_MEMO		varchar(4000),
	FORDERUNG_RESTBETRAG	int NULL,
	FORDERUNG_SONSTIGES	int NULL,
	FORDERUNG_ENDE		smallint NULL,
 	PRIMARY KEY (LFD_FORDERUNG)
)
GO

Alter TABLE RUECKFORDERUNGEN_ZAHLUNGEN
ADD
	VORGANGSNR		int NULL		
GO

Alter TABLE RUECKFORDERUNGEN
ADD
	STELLE			smallint NULL	
GO

Alter Table SYSTEM_EMAIL_EREIGNISSE ALTER COLUMN EMAIL_TEXT varchar(4000)
GO

ALTER TABLE EINKNRW
ADD
	KZX80			smallint NULL
GO

ALTER TABLE SYSINFO
ADD
	MAIL			varchar(250) NULL
GO

UPDATE SYSINFO SET MAIL='egov.support@aucoteam.de'

Drop View PSUCHE
GO

CREATE VIEW PSUCHE (VORGANGSNR, WGSTNR, WOHNGELDNR, VERGLEICH, VGNR, KZ001, KZ700, BSTAND, NNAME, VNAME, HAUSNR, ORTNAME, PLZAHL, STRNAME) AS
	SELECT VORGANG.VORGANGSNR, VORGANG.WGSTNR, VORGANG.WOHNGELDNR, VORGANG.VERGLEICH, VORGANG.VGNR, VORGANG.KZ001, VORGANG.KZ700, VORGANG.BSTAND, PERSON.NNAME,
	PERSON.VNAME, ADRESSE.HAUSNR, ADRESSE.ORTNAME, ADRESSE.PLZAHL, ADRESSE.STRNAME
	FROM VORGANG INNER JOIN PERSON ON VORGANG.PNRAS = PERSON.PNR INNER JOIN ADRESSE ON VORGANG.ADRAS = ADRESSE.ADRESSNR
GO

